## kernel-patch-2.4.17-s390 0.0.20020816-0.woody.4

=== Makefile ===
#
# Makefile for s390 kernel patch package
#
# (C) 2001, 2002 by Jochen Rhrig (jr@debian.org)
#

KERNEL_VERSION=2.4.17

export CP    = /bin/cp
export DIFF  = /usr/bin/diff -uN 
export GUNZIP= /bin/gunzip
export MKDIR = /bin/mkdir
export MV    = /bin/mv
export PATCH = /usr/bin/patch --no-backup-if-mismatch
export TAR   = /bin/tar
export TOUCH = /usr/bin/touch

# for variables 'tarred_patches' & 'zipped_patches' the patch order
# doesn't matter:

tarred_patches=linux-$(KERNEL_VERSION)-s390       \
               linux-$(KERNEL_VERSION)-s390-1-lcs \
               linux-$(KERNEL_VERSION)-s390-2     \
               linux-$(KERNEL_VERSION)-s390-3     \
               linux-$(KERNEL_VERSION)-s390-4-iucv

zipped_patches=linux-s390_ksyms linux-ramdisk linux-cpint linux-cmsfs

extra_patches=linux-2.4.17-s390-ptrace

# for variable 'patches' the patch order must correspond to the order
# in which the patches have to be applied:

patches=$(tarred_patches) $(zipped_patches)

patch_patchfile=patches.diff
kernel_source=kernel-source-$(KERNEL_VERSION)
kernel_source_tar=/usr/src/$(kernel_source).tar.bz2

kernel_patch=linux-$(KERNEL_VERSION)-s390.debian.diff

default: build

build: mk_patch_done
	@echo "Extracting kernel source ..."
	$(TAR) -xjf $(kernel_source_tar)
#	$(RM) $(kernel_source)/include/asm
	$(MKDIR) $(kernel_source).orig
	@echo "Copying kernel source ..."
	$(CP) -a $(kernel_source)/* $(kernel_source).orig/
	set -e ; cd $(kernel_source);			\
	for patch in $(patches) $(extra_patches); do		\
	  echo "Applying patch $$patch ...";	\
	  $(PATCH) -p1 < ../$$patch.diff;	\
	done;					\
	cd ..
	@echo "Generating new patch ..."
	-$(DIFF) -r $(kernel_source).orig $(kernel_source) > $(kernel_patch)

install: all

mk_patch_done: mk_extract_done
	$(PATCH) -p2 < ./$(patch_patchfile) && $(TOUCH) $@

mk_extract_done:
	for patch in $(tarred_patches); do		\
	  $(TAR) -xvpzf $$patch.tar.gz;		        \
	done
	for patch in $(zipped_patches); do		\
	  $(GUNZIP) -c $$patch.diff.gz > $$patch.diff;  \
	done
	$(TOUCH) $@

clean:
	$(RM) -r $(kernel_source).orig $(kernel_source) $(kernel_patch)
	$(RM) LICENSE mk_extract_done mk_patch_done
	for patch in $(patches); do		\
	  $(RM) $$patch.diff $$patch.readme;	\
	done

=== debian/changelog ===
kernel-patch-2.4.17-s390 (0.0.20020816-0.woody.4) oldstable-security; urgency=high

  * Rebuild against kernel-source-2.4.17 (2.4.17-1woody4).

 -- dann frazier <dannf@dannf.org>  Sun, 18 Dec 2005 15:01:58 -0700

kernel-patch-2.4.17-s390 (0.0.20020816-0.woody.3) stable-security; urgency=high

  * Rebuild against latest kernel-source-2.4.17-1woody2, which includes
    the follwing additional security fixes:
    - Applied patch by Petr Vandrovec <vandrove@vc.cvut.cz> to fix a
      possible roothole in ncpfs discovered by Arjan van de Ven
      <arjanv@devserv.devel.redhat.com> [fs/ncpfs/dir.c, CAN-2004-0010]
    - Applied patch by Sebastian Krahmer <krahmer@suse.de> and Ernie
      Petrides <petrides@redhat.com> to fix a local root exploit in iso9660
      [fs/isofs/rock.c, CAN-2004-0109]
    - Applied patch by Alan Cox and Thomas Biege to fix local root exploit
      in the R128 DRI code [drivers/char/drm/r128_state.c, CAN-2004-0003]
    - Applied additional patch by Ernie Petrides <petrides@redhat.com> to
      fix another intance of the same
    - Applied patch by Theodore Ts'o <tytso@mit.edu> to fix an information
      leak in ext3 journal creation [fs/jbd/journal.c, CAN-2004-0177]
    - Applied patch by Andreas Kies <andikies@t-online.de> to fix local
      denial of service in the Sound Blaster driver
      [drivers/sound/sb_audio.c, CAN-2004-0178]

 -- Arnd Bergmann <arnd@debian.org>  Sun, 11 Apr 2004 22:41:00 +0200

kernel-patch-2.4.17-s390 (0.0.20020816-0.woody.2) stable-security; urgency=high
  * Rebuild against latest kernel-source-2.4.17-1woody2), which includes
    the follwing additional security fixes:
    - CAN-2003-0961: Added TASK_SIZE check to do_brk() [mm/mmap.c]
    - CAN-2003-0985: Applied patch by Andrea Arcangeli to fix local 
      privilege escalation discovered by Paul Starzetz [mm/mremap.c]
    - CAN-2004-0077: Applied patch extracted from Solar Designer's Owl 
      patched kernel to fix local privilege escalation discovered by Paul
      Starzetz [mm/mremap.c]
    - CAN-2003-0001: Multiple ethernet Network Interface Card (NIC) device
      drivers do not pad frames with null bytes, which allows remote
      attackers to obtain information from previous packets or kernel
      memory by using malformed packets
    - CAN-2003-0244: The route cache implementation in Linux 2.4, and the
      Netfilter IP conntrack module, allows remote attackers to cause a
      denial of service (CPU consumption) via packets with forged
      source addresses that cause a large number of hash table
      collisions related to the PREROUTING chain
    - CAN-2003-0246: The ioperm system call in Linux kernel 2.4.20 and earlier
      does not properly restrict privileges, which allows local users to
      gain read or write access to certain I/O ports.
    - CVE-2002-0429: The iBCS routines in arch/i386/kernel/traps.c for Linux
      kernels 2.4.18 and earlier on x86 systems allow local users to kill
      arbitrary processes via a a binary compatibility interface (lcall)
    - CAN-2003-0248: The mxcsr code in Linux kernel 2.4 allows attackers to
      modify CPU state registers via a malformed address.
    - CAN-2003-0247: vulnerability in the TTY layer of the Linux kernel 2.4
      allows attackers to cause a denial of service ("kernel oops")
    - CAN-2003-0364: The TCP/IP fragment reassembly handling in the Linux
      kernel 2.4 allows remote attackers to cause a denial of service (CPU
      consumption) via certain packets that cause a large number of hash
      table collisions
  * Resolve a conflict between the previous fix for CAN-2003-0127 and the
      new kernel-source
  * New Maintainer

 -- Arnd Bergmann <arnd@debian.org>  Wed, 18 Feb 2004 10:45:08 +0100

kernel-patch-2.4.17-s390 (0.0.20020816-0.woody.1.1) stable-security; urgency=high

  * NMU
  * Added an s390 specific patch for the ptrace vulnerability,
    provided by Martin Schwidefsky <schwidefsky@de.ibm.com>.

 -- Arnd Bergmann <arnd@arndb.de>  Fri, 28 Mar 2003 15:53:03 +0100

kernel-patch-2.4.17-s390 (0.0.20020816-0.woody.1) stable; urgency=high

  * Integrated a new kernel-patch from the IBM Developerworks
    website (released on 2002.06.12).
    This patch fixes the DASD deadlock problem and some other severe
    problems.
  * Removed NMU DASD deadlock fix.
  * Integrated a new kernel-patch from the IBM Developerworks
    website (released on 2002.08.16).
    This patch fixes a problem related to the IUCV driver.

 -- Jochen Rhrig <jr@debian.org>  Fri, 20 Sep 2002 21:05:38 +0000

kernel-patch-2.4.17-s390 (0.0.20020415-1.1) unstable; urgency=high

  * NMU
  * Include DASD deadlock fix

 -- Stefan Gybas <sgybas@debian.org>  Mon, 29 Apr 2002 21:01:09 +0200

kernel-patch-2.4.17-s390 (0.0.20020415-1) unstable; urgency=high

  * Added a new patch from the IBM Developerworks website (released on
    2002.04.15).
  * Added cpint-patch by Neale Ferguson which allows to invoke CP commands
    from Linux.                                              closes: Bug#142202
  * Added cmsfs-patch by Rick Troth <rtroth@bmc.com> which enables read
    only access to CMS disks.
  * Added a patch which fixes kernel compilation failure with some
    configurations.                                          closes: Bug#142335

 -- Jochen Rhrig <jr@debian.org>  Tue, 16 Apr 2002 19:03:11 +0200

kernel-patch-2.4.17-s390 (0.0.20020304-1) unstable; urgency=low

  * New upstream release. 
  * Replaced 2.4.16-patch by the inital 2.4.17-patch from the IBM
    Developerworks website (released on 2002.02.05).
  * Added a new patch from the IBM Developerworks website (released on
    2002.03.04).
    This patch includes the source code for the lcs network driver which
    was only available as object code only module so far. 

 -- Jochen Rhrig <jr@debian.org>  Tue,  5 Mar 2002 20:37:33 +0100

kernel-patch-2.4.16-s390 (0.0.20011212-1) unstable; urgency=low

  * New upstream release. 


=== debian/control ===
Source: kernel-patch-2.4.17-s390
Section: devel
Priority: extra
Maintainer: Arnd Bergmann <arnd@debian.org>
Build-Depends-Indep: debhelper (>= 3.0.51), patch (>= 2.5.4-6), dh-kpatches (>= 0.7), kernel-source-2.4.17 (= 2.4.17-1woody4)
Standards-Version: 3.5.6

Package: kernel-patch-2.4.17-s390
Architecture: all
Recommends: kernel-source-2.4.17, kernel-package
Description: Diffs to the Linux kernel source 2.4.17 for IBM S/390
 Patches for the Linux kernel from IBM's developer works for the S/390
 architecture.
 This package includes the following patches released by IBM for the
 Linux kernel version 2.4.17:
  * linux-2.4.17-s390.tar.gz           (released on 2002.02.05)
  * linux-2.4.17-s390-1-lcs.tar.gz     (released on 2002.03.04)
  * linux-2.4.17-s390-2.tar.gz         (released on 2002.04.15)
  * linux-2.4.17-s390-3.tar.gz         (released on 2002.06.12)
  * linux-2.4.17-s390-4-iucv.tar.gz    (released on 2002.08.16)
 Additionally it includes
  * a patch by Gerhard Tonn <gt@debian.org> which adds support for a
    second initrd (needed by the s390 boot-floppies);
  * the cpint-patch by Neal Ferguson which allows to invoke CP commands
    from Linux;
  * the cmsfs-patch by Rick Troth <rtroth@bmc.com> which enables read
    only access to CMS disks.

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for kernel-patch-2.4.17-s390 (uses debhelper V3)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/<packagename>.
	#$(MAKE) prefix=`pwd`/debian/`dh_listpackages`/usr install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs *.readme
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installkpatches
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
#	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
